- Main Page
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# Toc8 Class Reference

Inheritance diagram for Toc8:

List of all members.

## Detailed Description

Sends back an acknowledgement -- or not.

## Protected Member Functions
virtual void | handleMessage (cMessage *msg)

## Member Function Documentation

void Toc8::handleMessage | ( | cMessage * | msg | ) | `[protected, virtual]`

| Reimplemented from cSimpleModule.
    00124 {
    00125     if (uniform(0,1) < 0.1)
    00126     {
    00127         ev << "\"Losing\" message " << msg << endl;
    00128         bubble("message lost");
    00129         delete msg;
    00130     }
    00131     else
    00132     {
    00133         ev << msg << " received, sending back an acknowledgement.\n";
    00134         delete msg;
    00135         send(new cMessage("ack"), "out");
    00136     }
    00137 }

The documentation for this class was generated from the following file:

- txc8.cc